{
  edition = 201909;

  description = "Genode package overlay";

  inputs = {
    nixpkgs.uri = "git+https://gitea.c3d2.de/ehmry/nixpkgs.git";
    dhall-haskell.uri =
      "git+https://github.com/dhall-lang/dhall-haskell?ref=flake";
  };

  outputs = { self, nixpkgs, dhall-haskell }:
    let fullPkgs = import ./packages.nix { nixpkgs = import nixpkgs; };
    in {

      packages = with fullPkgs; {
        inherit stdenv nova genode-os genode-base genode-base-nova
          genode-base-linux solo5;
      };

      defaultPackage = self.packages.genode-os;

      hydraJobs = {
        build.x86_64 = {
          inherit (self.packages)
            nova stdenv solo5 genode-base-linux genode-base-nova genode-os;
        };
        tests = import ./tests {
          inherit nixpkgs dhall-haskell;
          genodepkgs = fullPkgs;
        };
      };

      checks = { inherit (self.hydraJobs.tests.x86_64.nova) pci; };
    };
}

