let Genode = env:DHALL_GENODE

in    λ(_ : {})
    → { test-libc =
            Genode.Init.Start::{
            , binary = "test-libc"
            , resources = { caps = 200, ram = Genode.units.MiB 400 }
            , routes = [ Genode.ServiceRoute.parent "Timer" ]
            , config =
                Genode.Prelude.XML.text
                  ''
                  <config>
                    <vfs>
                      <dir name="dev">
                        <log/>
                        <inline name="rtc">2019-08-20 15:01</inline>
                      </dir>
                    </vfs>
                    <libc stdout="/dev/log" stderr="/dev/log" rtc="/dev/rtc"/>
                  </config>
                  ''
            }
          : Genode.Init.Start.Type
      }
