{ testEnv, pkgs }:
with pkgs;

testEnv.mkTest {
  name = "pci";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = testEnv.lib.renderDhallInit ./pci.dhall "{=}";

  bootModules = {
    acpi_drv = "${genode-os}/bin/acpi_drv";
    platform_drv = "${genode-os}/bin/platform_drv";
    report_rom = "${genode-os}/bin/report_rom";
    test-pci = "${genode-os}/bin/test-pci";
  };

  testScript = ''
    run_genode_until "--- Platform test finished ---.*\n" 60
  '';
}
